<?php
// Load wordpress
require( dirname(__FILE__) . '/wp-load.php' );

// GRUPOS
global $wpdb;
$table = $wpdb->prefix . 'bp_groups';
$table2 = $wpdb->prefix . 'bp_groups_groupmeta';
$table3 = $wpdb->prefix . 'bp_groups_members';
$total_cont = 0;

$res_groups = $wpdb->get_results ('SELECT g.id, g.name, gm.meta_value FROM '. $table .' g
INNER JOIN '.$table2.' gm ON g.id = gm.group_id AND gm.meta_key="ironestado" AND gm.meta_value="'. $type .'"
ORDER BY g.name');

$ngroups = count($res_groups);
if ($ngroups>0) {
	foreach ($res_groups as $group) {
		$fam=0; $ref=0; $sin=0; $tra=0;
		$puntosfam=0; $puntosref=0; $puntossin=0; $puntostra=0;

		// (1) Puntos otorgados por estado
		if ($type=='familiares') { $puntosfam = 1; }
		elseif ($type=='reflexivos') { $puntosref = 1; }
		elseif ($type=='sintomaticos') { $puntossin = 1; }
		elseif ($type=='transgresores') { $puntostra = 1; }

		// (2) Puntos otorgados por nº de miembros
		$members = $wpdb->get_results ('SELECT user_id FROM '. $table3.' WHERE is_confirmed="1" AND group_id="'.$group->id.'"');
		$totalmem = count($members);

		if (count($members)>0) {
			foreach ($members as $member) {
				$user_mood = xprofile_get_field_data( 'EstadoAnimo', $member->user_id);
				if ($user_mood == 'familiares')
					$fam++;
				elseif ($user_mood == 'reflexivos')
					$ref++;
				elseif ($user_mood == 'sintomaticos')
					$sin++;
				elseif ($user_mood == 'transgresores')
					$tra++;
			}
		}

		$puntosfam += $fam*2;
		$puntosref += $ref*2;
		$puntossin += $sin*2;
		$puntostra += $tra*2;
	}

	echo '<p>';
	echo 'fam: '.$puntosfam;
	echo 'ref: '.$puntosref;
	echo 'sin: '.$puntossin;
	echo 'tra: '.$puntostra;
	echo '</p>';

}
else { echo 'No hay grupos'; }

// ACTIVIDADES
global $wpdb;
$table = $wpdb->prefix . 'bp_activity';
$table2 = $wpdb->prefix . 'bp_activity_meta';
$total_cont = 0;

$res_groups = $wpdb->get_results ('SELECT g.id, g.name, gm.meta_value FROM '. $table .' g
INNER JOIN '.$table2.' gm ON g.id = gm.group_id AND gm.meta_key="ironestado" AND gm.meta_value="'. $type .'"
ORDER BY g.name');

$ngroups = count($res_groups);
if ($ngroups>0) {
	foreach ($res_groups as $group) {
		$fam=0; $ref=0; $sin=0; $tra=0;
		$puntosfam=0; $puntosref=0; $puntossin=0; $puntostra=0;

		// (1) Puntos otorgados por estado
		if ($type=='familiares') { $puntosfam = 1; }
		elseif ($type=='reflexivos') { $puntosref = 1; }
		elseif ($type=='sintomaticos') { $puntossin = 1; }
		elseif ($type=='transgresores') { $puntostra = 1; }

		// (2) Puntos otorgados por nº de miembros
		$members = $wpdb->get_results ('SELECT user_id FROM '. $table3.' WHERE is_confirmed="1" AND group_id="'.$group->id.'"');
		$totalmem = count($members);

		if (count($members)>0) {
			foreach ($members as $member) {
				$user_mood = xprofile_get_field_data( 'EstadoAnimo', $member->user_id);
				if ($user_mood == 'familiares')
					$fam++;
				elseif ($user_mood == 'reflexivos')
					$ref++;
				elseif ($user_mood == 'sintomaticos')
					$sin++;
				elseif ($user_mood == 'transgresores')
					$tra++;
			}
		}

		$puntosfam += $fam*2;
		$puntosref += $ref*2;
		$puntossin += $sin*2;
		$puntostra += $tra*2;
	}

	echo '<p>';
	echo 'fam: '.$puntosfam;
	echo 'ref: '.$puntosref;
	echo 'sin: '.$puntossin;
	echo 'tra: '.$puntostra;
	echo '</p>';

}
else { echo 'No hay grupos'; }
?>